default:
  interruptible: true
  timeout: 30 minutes
  
variables:
  CI_DEBUG_SERVICES: "true"
  PIP_NO_CACHE_DIR: 0
  FORCE_COLOR: 1
  # Git
  GIT_STRATEGY: fetch
  GIT_DEPTH: 1 # https://docs.gitlab.com/ee/ci/runners/configure_runners.html#shallow-cloning
  GIT_FETCH_EXTRA_FLAGS: --prune --quiet --no-tags # https://docs.gitlab.com/ee/ci/large_repositories/#git-fetch-extra-flags
  GIT_SUBMODULE_STRATEGY: normal
  GIT_SUBMODULE_DEPTH: 1
  GIT_SUBMODULE_UPDATE_FLAGS: --remote
  # Docker
  DOCKER_BUILDKIT: 1
  CI_DEBUG_SERVICES: "true"  

stages:
  - test

test:
  stage: test
  image:
    name: mongo:8.0.0@sha256:0c17421487ae4a5cae88e7652a26ef72a8162adbc599a0730805526f5ff5ee83
  services:
    - name: mongo:8.0.0@sha256:0c17421487ae4a5cae88e7652a26ef72a8162adbc599a0730805526f5ff5ee83
      command: ["/bin/sh", "-c", "mongod --bind_ip_all"]
      alias: mongo1
    - name:  mongo:8.0.0@sha256:0c17421487ae4a5cae88e7652a26ef72a8162adbc599a0730805526f5ff5ee83
      command: ["mongosh", "--host", "mongo1", "--eval", "rs.initiate()"]
      alias: mongo2
  variables:
    FF_NETWORK_PER_BUILD: 1      
  script:
   - mongosh --host mongo1 --eval 'rs.status()'



